### Method

# Qmi MessageDmsSetServiceProgrammingCodeOutput ref

since: 1.0

#### Declaration [src]

    QmiMessageDmsSetServiceProgrammingCodeOutput*
    qmi_message_dms_set_service_programming_code_output_ref (
      QmiMessageDmsSetServiceProgrammingCodeOutput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.0

#### Return value

Type: `QmiMessageDmsSetServiceProgrammingCodeOutput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.